function [] = OscPlot(mtd, h, T, varargin)
%OSCPLOT plot solution of oscillator problem: OSCPLOT(MTD,H,T).
% starting cond [q p] = [0 0.8], [1 1.6], [0 2.1], t in [0 T], h = H;
% for example, H = 0.1, T = 12.

% created by Claude Gittelson

ode = [ odeOsc([0 0.8]', [0 T]) ...
        odeOsc([0 1.6]', [0 T]) ...
        odeOsc([0 2.1]', [0 T]) ];
for i = 1:length(ode)
    sol = feval(mtd.solver, mtd, ode(i), h);
    feval(ode(i).vis, sol, varargin{:});
    hold on;
end
axis([-pi pi -2.5 2.5]);