% define various basic rk and lms methods

% created by Claude Gittelson

expEuler = rkParams([0], [0], [1], 'explicit Euler');

impEuler = rkParams([1], [1], [1], 'implicit Euler');

sympEuler = rkPartParams(impEuler, expEuler, 'symplectic Euler');

trapez = rkParams([0 1],[0 0; 0.5 0.5],[0.5 0.5],'trapezoidal rule');
trapezComp = rkCompParams([expEuler impEuler], [0.5 0.5], 'trapezoidal composition');

impMidpnt = rkParams([0.5],[0.5],[1],'implicit midpoint');
impMidpntComp = rkCompParams([impEuler expEuler], [0.5 0.5], 'implicit midpoint composition');

verlet = rkPartParams(rkLobattoA(2), rkLobattoB(2), 'Strmer/Verlet');

rk4 = rkParams([0 0.5 0.5 1],...
               [ 0   0   0   0
                0.5  0   0   0
                 0  0.5  0   0
                 0   0   1   0 ],...
               [1/6  1/3  1/3  1/6], 'classic Runge Kutta');
          
bdf = lmsBDF(2);

adams = lmsAdams(2,0);