function param = lmsAdams(k,explicit)
%LMSADAMS parameters of k-step Adams method, implicit if EXPLICIT==0

% created by Claude Gittelson

if(explicit)
    switch k
        case 1
            param = lmsParams([1 -1], [0 1], 'explicit Adams(1)');
        case 2
            param = lmsParams([2 -2], [0 3 -1], 'explicit Adams(2)');
        case 3
            param = lmsParams([12 -12], [0 23 -16 5], 'explicit Adams(3)');
        case 4
            param = lmsParams([24 -24], [0 55 -59 37 -9], 'explicit Adams(4)');
    end
else
    switch k
        case 1
            param = lmsParams([2 -2], [1 1], 'Adams(1)');
        case 2
            param = lmsParams([12 -12], [5 8 -1], 'Adams(2)');
        case 3
            param = lmsParams([24 -24], [9 19 -5 1], 'Adams(3)');
    end
end
