function ode = odeParams(f, Df, y0, T, name, vis, varargin)
%ODEPARAMS Parameters of ordinary differential equation
%  ODE = ODEPARAMS(F, DF, Y0, [t0 t1], name, vis, arguments) defines ODE.

% created by Claude Gittelson

if(length(T) <= 1)
    return;
end

ode.f = f; % ode function
ode.Df = Df; % jacobian
ode.y0 = y0; % starting condition
ode.t0 = T(1); % start time
ode.tN = T(2); % end time
ode.dim = length(y0); % dimension of the problem
ode.vis = vis; % function that displays solution
ode.fargs = varargin; % argumets passed to f, Df

if(nargin>=5)
    if(ischar(name))
        ode.name = name;
    end
end