function ode = odeVdp(y0, T, mu)
%ODEVDP van der Pol equation
%  ODE = ODEVDP(Y0, T, MU)

% created by Claude Gittelson

ode = odeparams(@f, @Df, y0, T, 'Van der Pol', @vis, mu);


% --------------------------------------------------------------------------

function dydt = f(t,y,mu)
dydt = [            y(2) 
         mu*(1-y(1)^2)*y(2)-y(1) ]; 

% --------------------------------------------------------------------------

function dfdy = Df(t,y,mu)
dfdy = [         0                  1
         -2*mu*y(1)*y(2)-1    mu*(1-y(1)^2) ];

     
% -------------------------------------------------------------------------

function [] = vis(sol, varargin)
figure;
subplot(2,1,1);
    plot(sol.t, sol.y(1,:), varargin{:});
    title(sol.title);
    xlabel('t');
    ylabel('y');
subplot(2,1,2);
    plot(sol.y(2,:), sol.y(1,:), varargin{:});
    xlabel('y''');
    ylabel('y');
    
