function mtd = rkLobattoA(p)
%RKLOBATTOA Lobatto IIIA methods of order p = 2, 4, 6

% created by Claude Gittelson

switch p
    case 2 % trapezoidal rule
        mtd = rkParams([0 1],[0 0; 0.5 0.5],[0.5 0.5],'LobattoIIIA(2)');

    case 4
        mtd = rkParams([0  0.5  1],...
            [   0     0      0
              5/24   1/3   -1/24
              1/6    2/3    1/6  ],...            
            [1/6   2/3   1/6],...
            'LobattoIIIA(4)');

    case 6
        mtd = rkParams([ 0   (5-sqrt(5))/10   (5+sqrt(5))/10   1 ],...
            [         0                  0                  0                  0
             (11+sqrt(5))/120     (25-sqrt(5))/120   (25-13*sqrt(5))/120   (-1+sqrt(5))/120
             (11-sqrt(5))/120   (25+13*sqrt(5))/120   (25+sqrt(5))/120     (-1-sqrt(5))/120
                   1/12                5/12               5/12                1/12          ],...
            [ 1/12    5/12    5/12    1/12 ],...
            'LobattoIIIA(6)');
end

